classification
Title: Use highest pickle protocol in multiprocessing
Type: enhancement Stage:
Components: Extension Modules Versions: Python 3.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: parameterize what serialization is used in multiprocessing
View: 28053
Assigned To: Nosy List: davin, ebehn, pitrou
Priority: normal Keywords:

Created on 2016-03-08 02:11 by ebehn, last changed 2016-09-09 21:02 by davin. This issue is now closed.

Files
File name Uploaded Description Edit
patch ebehn, 2016-03-08 02:11 Patch to fix issue review
patch ebehn, 2016-03-08 02:14 Patch to fix issue review
Messages (4)
msg261318 - (view) Author: Ed Behn (ebehn) * Date: 2016-03-08 02:11
Currently, the default pickle protocol is used to return worker results in a multiprocessing pool. The highest protocol should be used because backwards compatibility is not an issue.
msg261320 - (view) Author: Davin Potts (davin) * (Python committer) Date: 2016-03-08 03:49
As described in issue23403, it is possible for independent processes to communicate to one another through multiprocessing.  Thus changing the default triggers complications and is arguably much less interesting than having control over what protocol (or mechanism) is to be used for pickling.
msg261506 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2016-03-10 15:24
Agreed with Davin.
msg275439 - (view) Author: Davin Potts (davin) * (Python committer) Date: 2016-09-09 21:02
Closing in deference to the enhancement described in issue28053.
History
Date User Action Args
2016-09-09 21:02:12davinsetstatus: open -> closed
superseder: parameterize what serialization is used in multiprocessing
resolution: duplicate
messages: + msg275439
2016-03-10 15:24:40pitrousetnosy: + pitrou
messages: + msg261506
2016-03-08 03:49:00davinsetnosy: + davin
messages: + msg261320
2016-03-08 02:14:23ebehnsetfiles: + patch
2016-03-08 02:11:24ebehncreate